from parallels.core.utils.entity import Entity


class Database(Entity):
    def __init__(self, database_id, database_server_id, domain_id, name, database_server_type):
        self._database_id = database_id
        self._database_server_id = database_server_id
        self._domain_id = domain_id
        self._name = name
        self._database_server_type = database_server_type

    @property
    def database_id(self):
        """
        :rtype: str | unicode
        """
        return self._database_id

    @property
    def database_server_id(self):
        """
        :rtype: str | unicode
        """
        return self._database_server_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def database_server_type(self):
        """
        :rtype: str | unicode
        """
        return self._database_server_type
